%define major 15
%define libname %mklibname %name %{major}
%define develname %mklibname %name -d

Name:           spirv-llvm-translator
Version:        %{major}.0.0
Release:        %mkrel 1
Summary:        LLVM to SPIRV Translator
Group:          System/Libraries

License:        NCSA
URL:            https://github.com/KhronosGroup/SPIRV-LLVM-Translator
Source0:        https://github.com/KhronosGroup/SPIRV-LLVM-Translator/archive/refs/tags/v%{version}.tar.xz
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  llvm-devel
BuildRequires:  llvm-static
BuildRequires:  spirv-headers

%description
Khronos LLVM to SPIRV Translator. This is a library
to be used by Mesa for OpenCL support. It translate
LLVM IR to Khronos SPIR-V. It also includes a
standalone tool used for building libclc.

%package tools
Summary: Standalone llvm to spirv translator tool
Group:   System/Base
Requires: %{libname} = %{version}-%{release}

%description tools
This package contains the standalone llvm to spirv tool.

%package -n %{libname}
Summary: Standalone llvm to spirv translator tool lib
Group:   System/Libraries

%description -n %{libname}
Khronos LLVM to SPIRV Translator. This is a library
to be used by Mesa for OpenCL support. It translate
LLVM IR to Khronos SPIR-V. It also includes a
standalone tool used for building libclc.

%package -n %{develname}
Summary: Development files for LLVM to SPIRV Translator
Group:   Development/Libraries
Requires: %{libname} = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for
developing against %{name}

%prep
%autosetup -n SPIRV-LLVM-Translator-%{version}

%build
%cmake \
       -DLLVM_BUILD_TOOLS=ON \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DCMAKE_INSTALL_RPATH:BOOL=";" \
       -DLLVM_EXTERNAL_PROJECTS="SPIRV-Headers" \
       -DLLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR="/usr/include/spirv/"

%cmake_build

%install
%cmake_install

%files tools
%{_bindir}/llvm-spirv

%files -n %{libname}
%{_libdir}/libLLVMSPIRVLib.so.%{major}

%files -n %{develname}
%dir %{_includedir}/LLVMSPIRVLib/
%{_includedir}/LLVMSPIRVLib/
%{_libdir}/libLLVMSPIRVLib.so
%{_libdir}/pkgconfig/LLVMSPIRVLib.pc


%changelog
* Wed Oct 25 2023 tex - 15.0.0-1pclos2023
- new version
